[Slim-Checkins] r33787 - in /7.7/trunk/platforms/readynas/addon_template: running.sh start.sh stop.sh

[email protected]
Newsgroups gmane.music.equipment.slimdevices.cvs
Message-ID <[email protected]>
Author: mherger
Date: Tue Jan 31 03:03:59 2012
New Revision: 33787

URL: http://svn.slimdevices.com/slim?rev=33787&view=rev
Log:
Bug: 17852
Description: - adjust running.sh to check for our service
- adjust start/stop scripts to use our service handler

Modified:
    7.7/trunk/platforms/readynas/addon_template/running.sh
    7.7/trunk/platforms/readynas/addon_template/start.sh
    7.7/trunk/platforms/readynas/addon_template/stop.sh

Modified: 7.7/trunk/platforms/readynas/addon_template/running.sh
URL: http://svn.slimdevices.com/slim/7.7/trunk/platforms/readynas/addon_template/running.sh?rev=33787&r1=33786&r2=33787&view=diff
==============================================================================
--- 7.7/trunk/platforms/readynas/addon_template/running.sh (original)
+++ 7.7/trunk/platforms/readynas/addon_template/running.sh Tue Jan 31 03:03:59 2012
@@ -5,7 +5,7 @@
 # UNCOMMENT and MODIFY as necessary; return 1 for now.
 #
 
-if ! ps -ef | grep "/etc/frontview/addons/bin/SQUEEZEBOX/SQUEEZEBOX_service" | grep -v grep &> /dev/null; then
+if ! ps -ef | grep "/usr/sbin/squeezeboxserver " | grep -v grep &> /dev/null; then
   exit 1
 fi
 

Modified: 7.7/trunk/platforms/readynas/addon_template/start.sh
URL: http://svn.slimdevices.com/slim/7.7/trunk/platforms/readynas/addon_template/start.sh?rev=33787&r1=33786&r2=33787&view=diff
==============================================================================
--- 7.7/trunk/platforms/readynas/addon_template/start.sh (original)
+++ 7.7/trunk/platforms/readynas/addon_template/start.sh Tue Jan 31 03:03:59 2012
@@ -2,4 +2,4 @@
 #
 # This should contain necessary code to start the service
 
-start-stop-daemon -S -b -m --pidfile /var/run/SQUEEZEBOX.pid -q -x /etc/frontview/addons/bin/SQUEEZEBOX/SQUEEZEBOX_service
+/etc/init.d/squeezeboxserver start

Modified: 7.7/trunk/platforms/readynas/addon_template/stop.sh
URL: http://svn.slimdevices.com/slim/7.7/trunk/platforms/readynas/addon_template/stop.sh?rev=33787&r1=33786&r2=33787&view=diff
==============================================================================
--- 7.7/trunk/platforms/readynas/addon_template/stop.sh (original)
+++ 7.7/trunk/platforms/readynas/addon_template/stop.sh Tue Jan 31 03:03:59 2012
@@ -2,4 +2,4 @@
 #
 # This should contain necessary code to stop the service
 
-start-stop-daemon --stop  --pidfile /var/run/SQUEEZEBOX.pid --signal KILL --quiet
+/etc/init.d/squeezeboxserver stop
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.